commit:     1ff0d42f2a7edf2befed9c6c2aa53b9ed759b6dd
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sat Jan  4 12:59:41 2025 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jan  4 22:47:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ff0d42f

app-benchmarks/siege: add 4.1.7

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/39973
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-benchmarks/siege/Manifest                      |  1 +
 .../files/siege-4.1.7-clang16-build-fix.patch      | 32 +++++++++++++
 app-benchmarks/siege/siege-4.1.7.ebuild            | 55 ++++++++++++++++++++++
 3 files changed, 88 insertions(+)

diff --git a/app-benchmarks/siege/Manifest b/app-benchmarks/siege/Manifest
index 7f228b900871..f706816b7abe 100644
--- a/app-benchmarks/siege/Manifest
+++ b/app-benchmarks/siege/Manifest
@@ -1 +1,2 @@
 DIST siege-4.1.6.tar.gz 527103 BLAKE2B 
aea71c93d0243113f8d9087ab4ea02ad1c64e10d8a10918139473ba865230a8e945d5371f19234bce22c95f8a412f68e94792ea0ea00eb451f208a17a37467f4
 SHA512 
cc674c9dc33aac35988708cd73b5061343cb1939e8a10b4dc50ceab42e65647b58557b6f3b48a03f5c992109bcac233425bf363e1f899135cfd9333d2517cfb2
+DIST siege-4.1.7.tar.gz 543447 BLAKE2B 
a4a5e7290ddace57f69a70d38bbcc901fb7651084840635981ea8b26c6bfc829215b03814a4b283709516a3994bd62f9e19fc304604249347b53238527108b97
 SHA512 
b7a842433410c7425c20308515db35151346249bd6886f9a36ef57c839ee974e05147792bff0fa72c3284dcb30b603fd6122c78f3220e144c688f41ebec9fec5

diff --git a/app-benchmarks/siege/files/siege-4.1.7-clang16-build-fix.patch 
b/app-benchmarks/siege/files/siege-4.1.7-clang16-build-fix.patch
new file mode 100644
index 000000000000..ba11315a3960
--- /dev/null
+++ b/app-benchmarks/siege/files/siege-4.1.7-clang16-build-fix.patch
@@ -0,0 +1,32 @@
+Bug: https://bugs.gentoo.org/894338
+--- a/src/cookies.c
++++ b/src/cookies.c
+@@ -66,7 +66,7 @@
+ BOOLEAN
+ cookies_add(COOKIES this, char *str, char *host)
+ {
+-  size_t  id    = pthread_self();
++  size_t  id    = (size_t) pthread_self();
+   NODE   *cur   = NULL; 
+   NODE   *pre   = NULL; 
+   NODE   *new   = NULL;
+@@ -174,7 +174,7 @@
+   time_t now;
+   struct tm tm;
+   char   oreo[MAX_COOKIES_SIZE];
+-  size_t id = pthread_self();
++  size_t id = (size_t) pthread_self();
+ 
+   memset(oreo, '\0', sizeof oreo);
+   tmp = time(NULL);
+--- a/src/ftp.c
++++ b/src/ftp.c
+@@ -151,7 +151,7 @@
+ {
+   size_t  len;
+   char    *file;
+-  size_t  id = pthread_self();
++  size_t  id = (size_t) pthread_self();
+   int     num = 2;
+   char    **parts;
+  

diff --git a/app-benchmarks/siege/siege-4.1.7.ebuild 
b/app-benchmarks/siege/siege-4.1.7.ebuild
new file mode 100644
index 000000000000..26e8142ae9ad
--- /dev/null
+++ b/app-benchmarks/siege/siege-4.1.7.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools bash-completion-r1
+
+DESCRIPTION="HTTP regression testing and benchmarking utility"
+HOMEPAGE="https://www.joedog.org/siege-home https://github.com/JoeDog/siege";
+SRC_URI="https://download.joedog.org/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~x86 ~x64-macos"
+IUSE="ssl"
+
+RDEPEND="
+       sys-libs/zlib
+       ssl? ( dev-libs/openssl:0= )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-clang16-build-fix.patch
+)
+
+src_prepare() {
+       default
+       # bundled macros break recent libtool
+       # remove /usr/lib from LDFLAGS, bug #732886
+       sed -i \
+               -e '/AC_PROG_SHELL/d' \
+               -e 's/SSL_LDFLAGS="-L.*lib"/SSL_LDFLAGS=""/g' \
+               -e 's/Z_LDFLAGS="-L.*lib"/Z_LDFLAGS=""/g' \
+               configure.ac || die "Failed to sed configure.ac"
+       rm *.m4 || die "failed to remove bundled macros"
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=( $(use_with ssl ssl "${EPREFIX}/usr") )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${ED}" install
+       dodoc AUTHORS ChangeLog INSTALL README* doc/siegerc doc/urls.txt
+
+       newbashcomp "${FILESDIR}/${PN}".bash-completion "${PN}"
+}
+
+pkg_postinst() {
+       elog "An example ~/.siegerc file has been installed in"
+       elog "${EPREFIX}/usr/share/doc/${PF}/"
+}

Reply via email to